using Microsoft.EntityFrameworkCore.Migrations;

namespace APT.Data.Migrations.Migrations
{
    public partial class hmr2026040201 : Migration
    {
        protected override void Up(MigrationBuilder migrationBuilder)
        {
            migrationBuilder.DropIndex(
                name: "IX_T_SK_RISK_TYPE_NAME",
                table: "T_SK_RISK_TYPE");
        }

        protected override void Down(MigrationBuilder migrationBuilder)
        {
            migrationBuilder.CreateIndex(
                name: "IX_T_SK_RISK_TYPE_NAME",
                table: "T_SK_RISK_TYPE",
                column: "NAME",
                unique: true,
                filter: "[NAME] IS NOT NULL");
        }
    }
}
